com.singularsys.jep.misc.javaops

## Class AbstractInc

- java.lang.Object
- - com.singularsys.jep.functions.PostfixMathCommand
  - - com.singularsys.jep.misc.javaops.AbstractInc

- All Implemented Interfaces:
    CallbackEvaluationI, PostfixMathCommandI, java.io.Serializable
  Direct Known Subclasses:
    NullWrappedAbstractInc, PostDec, PostInc, PreDec, PreInc

      public abstract class AbstractInc
      extends PostfixMathCommand
      implements CallbackEvaluationI

  Base class for pre and post increment operators.
  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class com.singularsys.jep.functions.PostfixMathCommand

      `curNumberOfParameters, name, NaN, numberOfParameters`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AbstractInc()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected double` | `getVal(Variable var)`
    `protected Variable` | `getVar(Node node)`

    - ### Methods inherited from class com.singularsys.jep.functions.PostfixMathCommand

      `asArray, asBool, asDouble, asInt, asLong, asStrictInt, asString, checkNumberOfParameters, getName, getNumberOfParameters, run, setCurNumberOfParameters, setName, toString, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface com.singularsys.jep.functions.CallbackEvaluationI

      `evaluate`

- - ### Constructor Detail

    - #### AbstractInc

          public AbstractInc()

  - ### Method Detail

    - #### getVar

          protected Variable getVar(Node node)
                             throws EvaluationException

      Throws:
        `EvaluationException`

    - #### getVal

          protected double getVal(Variable var)
                           throws EvaluationException

      Throws:
        `EvaluationException`

Copyright © 2018 Singular Systems http://www.singularsys.com/jep